Viewing Issue Advanced Details Jump to Notes ] [ View Source: tumbleb.c ]
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
04712 Graphics Minor Always 2012-03-01 03:08 2012-03-24 21:55
Tester Firewave View Status Public Platform MAME (Unofficial Binary)
Assigned To Haze Resolution Fixed OS Windows Vista/7 (64-bit)
Status [?] Resolved   Driver tumbleb.c
Version 0.145u3 Fixed in Version 0.145u5 Build 64-bit
Summary 04712: fncywld, pangpang: characters offset is wrong
Description The characters and items are not placed on the platforms, but are way lower than they should be.
Steps To Reproduce
Additional Information
Flags
Regression Version 0.145
Affected Sets / Systems fncywld, pangpang
Attached Files
png file icon 0001.png (21,448 bytes)  2012-03-01 03:08 by Firewave
Firewave
gif file icon fncywld 0.145-0.145u1.gif (41,637 bytes)  2012-03-03 23:25 by M.A.S.H.
M.A.S.H.
gif file icon pangpang 0.145-0.145u1.gif (41,313 bytes)  2012-03-03 23:41 by M.A.S.H.
M.A.S.H.
gif file icon jumpkids 0.145-0.145u1.gif (52,358 bytes)  2012-03-03 23:41 by M.A.S.H.
M.A.S.H.
gif file icon jumppop 0.145-0.145u1.gif (86,856 bytes)  2012-03-03 23:41 by M.A.S.H.
M.A.S.H.


-  Notes
User avatar (08299)
Tafoid (Administrator)
2012-03-01 03:40

Breaking revision seems to be r15254:
Converted Boogie Wings to generic sprite device plus added manual mixing. Converted various bootleg implementations of the chip to use the common code as well. (tumbleb.c, esd16.c, crospang.c, nmg5.c) [David Haywood]
User avatar (08300)
Haze (Developer)
2012-03-01 03:53

hmm maybe something uninitialized, this was a very specific test case
User avatar (08318)
M.A.S.H. (Senior Tester)
2012-03-03 23:43

Added animated GIFs from other Tumble Pop driver games.
User avatar (08319)
Haze (Developer)
2012-03-04 14:36

yes, I'm aware of the left/right by one shift on the sprites, there was previous what looked like a sprite positioning hack there, so I removed that, I see little evidence for it.

Fancy World is a different problem, it actually looks like the tilemaps have moved which shouldn't have happened at all, probably introduced during late cleanups, not actually related to the sprite reworking.